Loading...
Searching...
No Matches
Halide::Internal::StubOutputBufferBase Class Reference

`#include <Generator.h>`

Inheritance diagram for Halide::Internal::StubOutputBufferBase:

## Public Member Functions

Realization | realize (std::vector< int32_t > sizes)
template<typename... Args>
Realization | realize (Args &&...args)
template<typename Dst>
void | realize (Dst dst)

## Protected Member Functions

Target | get_target () const
| StubOutputBufferBase ()
| StubOutputBufferBase (const Func &f, const std::shared_ptr< AbstractGenerator > &generator)

## Protected Attributes

Func | f
std::shared_ptr< AbstractGenerator > | generator

## Detailed Description

Definition at line 1321 of file Generator.h.

## Constructor & Destructor Documentation

## StubOutputBufferBase() [1/2]

Halide::Internal::StubOutputBufferBase::StubOutputBufferBase | ( |  | ) |

protected

Referenced by Halide::Internal::StubOutputBuffer< T >::GeneratorOutput_Buffer.

## StubOutputBufferBase() [2/2]

Halide::Internal::StubOutputBufferBase::StubOutputBufferBase | ( | const Func & | f,
|  | const std::shared_ptr< AbstractGenerator > & | generator )

explicit protected

References f, and generator.

## Member Function Documentation

## get_target()

Target Halide::Internal::StubOutputBufferBase::get_target | ( |  | ) | const

protected

Referenced by realize(), and realize().

## realize() [1/3]

Realization Halide::Internal::StubOutputBufferBase::realize | ( | std::vector< int32_t > | sizes | ) |

## realize() [2/3]

template<typename... Args>

Realization Halide::Internal::StubOutputBufferBase::realize | ( | Args &&... | args | ) |

inline

Definition at line 1335 of file Generator.h.

References f, and get_target().

## realize() [3/3]

template<typename Dst>

void Halide::Internal::StubOutputBufferBase::realize | ( | Dst | dst | ) |

inline

Definition at line 1340 of file Generator.h.

References f, and get_target().

## Member Data Documentation

## f

Func Halide::Internal::StubOutputBufferBase::f

protected

Definition at line 1323 of file Generator.h.

Referenced by Halide::Internal::GeneratorOutput_Buffer< T >::operator=(), realize(), realize(), StubOutputBufferBase(), and Halide::Internal::StubOutputBuffer< T >::to_output_buffers().

## generator

std::shared_ptr<AbstractGenerator> Halide::Internal::StubOutputBufferBase::generator

protected

Definition at line 1324 of file Generator.h.

Referenced by StubOutputBufferBase().

The documentation for this class was generated from the following file:

- src/Generator.h